/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.makernote.persistence;

import it.tidalwave.imageio.raw.Directory;
import it.tidalwave.metadata.Metadata;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MakerNotePersistenceSourceSinkTest 
  {
    private MakerNotePersistenceSourceSink makerNotePersistenceSourceSink;
    
    @Before
    public void setupFixture() 
      throws Exception 
      {
        makerNotePersistenceSourceSink = new MakerNotePersistenceSourceSink();
      }

    @After
    public void tearDownFixture() 
      {
        makerNotePersistenceSourceSink = null;
      }

    @Test
    public void testgetItemClass()
      {
        assertEquals(Directory.class, makerNotePersistenceSourceSink.getItemClass());
      }
            
    @Test
    public void testGetName()
      {
        assertEquals("MakerNote Persistence", makerNotePersistenceSourceSink.getName());
      }
            
    @Test
    public void testGetType()
      {
        assertEquals(Metadata.StorageType.INTERNAL, makerNotePersistenceSourceSink.getType());
      }
    
    // TODO assert registered accessors and code provider
  }